use serde_json::Value;
use crate::network::public_request::{read_config, Request, send_request};

//发送微信多开请求
pub fn send_open_multi_wechat(current_dir:String,os:String,os_version:String)->String{

    //如果不能正确读取信息则禁止打开
    let request:Request=match read_config(String::from("xxx"), current_dir, os, os_version){
        Ok(request)=>request,
        Err(_)=>return "配置文件损坏".to_string()
    };

    //如果不能将读到的信息序列化则允许打开
    let json:String=match serde_json::to_string(&request){
        Ok(json)=>json,
        Err(_)=>return "ok".to_string()
    };

    //发送请求，若发送失败允许打开
    let res:String=match send_request(json){
        Ok(res)=>res,
        Err(_)=>return "ok".to_string()
    };

    //反序列化json,反序列化失败允许打开
    let res:Value=match serde_json::from_str(res.as_str()) {
        Ok(res)=>res,
        Err(_)=>return "ok".to_string()
    };

    //返回msg字段的值，找不到允许打开
    if let Some(msg)=res.get("msg").and_then(Value::as_str){
        return msg.to_string();
    }else{
        return "ok".to_string();
    }
}